Get Account Scheduled Payments
curl --request GET \
--url https://api.yapily.com/accounts/{accountId}/scheduled-payments \
--header 'Authorization: Basic <encoded-value>' \
--header 'consent: <consent>'import requests
url = "https://api.yapily.com/accounts/{accountId}/scheduled-payments"
headers = {
"consent": "<consent>",
"Authorization": "Basic <encoded-value>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {consent: '<consent>', Authorization: 'Basic <encoded-value>'}
};
fetch('https://api.yapily.com/accounts/{accountId}/scheduled-payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"tracingId": "0de4ed83caf542f6bcaa30c62275191c",
"count": 1,
"pagination": {
"totalCount": 1,
"self": {
"limit": 1000
}
}
},
"data": [
{
"id": "6f62b428-c3a0-42eb-a838-ae41e52916e9",
"payeeDetails": {
"name": "Mr. Roberto Rastapopoulos & Ivan Sakharine & mits",
"accountIdentifications": [
{
"type": "ACCOUNT_NUMBER",
"identification": "70000002"
},
{
"type": "SORT_CODE",
"identification": "700001"
}
]
},
"reference": "f62ee3bad94d432d9786ba038131b5d7",
"amountDetails": {
"amount": 1,
"currency": "GBP"
},
"scheduledPaymentType": "EXECUTION",
"scheduledPaymentDateTime": "2021-12-01T00:00:00+01:00"
}
],
"links": {
"self": "https://api.yapily.com/accounts/700004000000000000000002/scheduled-payments?limit=1000"
}
}{
"error": {
"code": 401,
"status": "UNAUTHORIZED",
"message": "Full authentication is required to access this resource"
}
}Financial Data
Get Account Scheduled Payments
Returns the list of scheduled payments for an account.
Feature: ACCOUNT_SCHEDULED_PAYMENTS
Get Account Scheduled Payments
Learn more: Data Access Restrictions
Authorizations
Use HTTP Basic Authentication with your Application ID as username and Application Secret as password. Manage credentials in the Yapily Console. See Authentication for details.
Headers
Mandatory. The consent-token containing the user's authorisation to make the request.
The sub-application ID to which event type is being subscribed to
Path Parameters
Mandatory. The account Id of the user's bank account.
Query Parameters
Optional. The maximum number of transaction records to be returned. Must be between 1 and 1000.
Was this page helpful?
⌘I